Transfer Intrabank
Endpoint
Section titled “Endpoint”POST /{provider}/v1.0/transfer-intrabankService Code: 17 | Token: B2B
Request Body
Section titled “Request Body”| Field | Type | Required |
|---|---|---|
| partnerReferenceNo | String | Yes |
| sourceAccountNo | String | Yes |
| beneficiaryAccountNo | String | Yes |
| amount | Object | Yes |
| amount.value | String | Yes (format: “100000.00”) |
| amount.currency | String | Yes |
| transactionDate | String | Optional |
Response (Success)
Section titled “Response (Success)”{ "responseCode": "2001700", "responseMessage": "Successful", "referenceNo": "REF...", "partnerReferenceNo": "ref-123", "amount": { "value": "100000.00", "currency": "IDR" }, "sourceAccountNo": "1234567890", "beneficiaryAccountNo": "0987654321", "transactionDate": "2026-07-01T10:30:00+07:00"}Error Codes
Section titled “Error Codes”| Code | Message |
|---|---|
| 4031714 | Insufficient funds |
| 4041711 | Source account not found |